export declare class LocalContext {
    m_Binding: Binding;
    get m_Path(): NodePath<FunctionDeclaration>;
    get m_Code(): FunctionDeclaration;
    get m_Refs(): NodePath<import("@babel/types").Node>[];
    get m_Name(): any;
    Resolve(dsl: IDSL): void;
    ToStatements(): Statement[];
    GetDSLName(): string;
    constructor(binding: Binding);
}
export interface ILocalContext {
    ToStatements: () => Array<Statement>;
}
import { FunctionDeclaration, Statement } from "@babel/types";
import { Binding, NodePath } from "@babel/traverse";
import { IDSL } from "../core/transcriber";
