export declare class MethodCode {
    m_Path: NodePath<ExpressionStatement>;
    get m_Code(): ExpressionStatement;
    get m_Left(): JSXElement;
    get m_Right(): FunctionExpression;
    get m_Expression(): BinaryExpression;
    get m_ClassName(): string;
    ToClassMethod(): ClassMethod;
    constructor(path: NodePath<ExpressionStatement>);
}
import { ExpressionStatement, BinaryExpression, JSXElement, FunctionExpression, ClassMethod } from "@babel/types";
import { NodePath } from "@babel/traverse";
